# Uses of Class
javafx.print.PaperSource

Packages that use PaperSource
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PaperSource in javafx.print

Fields in javafx.print declared as PaperSource
Modifier and Type
Field
Description
`static final PaperSource`
PaperSource.`AUTOMATIC`
Specify to automatically select the tray.
`static final PaperSource`
PaperSource.`BOTTOM`
Specify to select the BOTTOM tray.
`static final PaperSource`
PaperSource.`ENVELOPE`
Specify to select the ENVELOPE tray.
`static final PaperSource`
PaperSource.`LARGE_CAPACITY`
Specify to select the LARGE_CAPACITY tray.
`static final PaperSource`
PaperSource.`MAIN`
Specify to select the MAIN tray.
`static final PaperSource`
PaperSource.`MANUAL`
Specify to select the MANUAL tray.
`static final PaperSource`
PaperSource.`MIDDLE`
Specify to select the MIDDLE tray.
`static final PaperSource`
PaperSource.`SIDE`
Specify to select the SIDE tray.
`static final PaperSource`
PaperSource.`TOP`
Specify to select the TOP tray.
Methods in javafx.print that return PaperSource
Modifier and Type
Method
Description
`PaperSource`
PrinterAttributes.`getDefaultPaperSource()`
Return the default paper input source/tray/
`PaperSource`
JobSettings.`getPaperSource()`
Gets the value of the `paperSource` property.
Methods in javafx.print that return types with arguments of type PaperSource
Modifier and Type
Method
Description
`Set<PaperSource>`
PrinterAttributes.`getSupportedPaperSources()`
Returns an unmodifiable set of the supported paper sources (ie input bins or trays) for this printer.
`final ObjectProperty<PaperSource>`
JobSettings.`paperSourceProperty()`
Property representing an instance of `PaperSource`.
Methods in javafx.print with parameters of type PaperSource
Modifier and Type
Method
Description
`void`
JobSettings.`setPaperSource(PaperSource value)`
Sets the value of the `paperSource` property.